prob_constrain.hpp File Reference
`#include <stan/math/prim/scal/fun/inv_logit.hpp>`
`#include <stan/math/prim/scal/fun/log1m.hpp>`
`#include <cmath>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
T | stan::math::prob_constrain (const T x)
| Return a probability value constrained to fall between 0 and 1 (inclusive) for the specified free scalar. More...
template<typename T >
T | stan::math::prob_constrain (const T x, T &lp)
| Return a probability value constrained to fall between 0 and 1 (inclusive) for the specified free scalar and increment the specified log probability reference with the log absolute Jacobian determinant of the transform. More...

[ Stan Home Page ] © 2011–2016, Stan Development Team.